Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.xmlparser.builders
Class BooleanQueryBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.BooleanQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class BooleanQueryBuilder

extends Object
implements QueryBuilder

Constructor Summary
`BooleanQueryBuilder(QueryBuilder factory)`

Method Summary
`Query` | `getQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanQueryBuilder

    public BooleanQueryBuilder(QueryBuilder factory)

Method Detail

### getQuery

    public Query getQuery(Element e)
                   throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD